#include "creddy.h"
#include "libcreddy.h"

void keyid_main(options_t *opts) {
    if (opts->cert == NULL)
        usage(opts);

    creddy_id_t *id = creddy_id_from_file(opts->cert);
    if (id == NULL)
        errx(1, "Couldn't load ID cert from %s", opts->cert);

    puts(creddy_id_keyid(id));

    creddy_id_free(id);
}
